Subscriptions

The Subscriptions resource is a key component in managing recurring billing for digital services or products. It allows businesses to automate payment processes, ensuring a seamless and consistent customer experience. By defining the details of a recurring subscription order, this resource helps in tracking and maintaining customer engagement through personalized and flexible billing cycles.

Returns a list of Subscriptions

get

Gets the Subscriptions specified in the request.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
planIdstringOptional

The identifier of the plan associated with the subscriptions you want to retrieve.

statestringOptional

The state associated with the subscriptions you want to retrieve.

customerIdstringOptional

The identifer of the subscribing customer of the subscriptions you want to retrieve.

endingBeforestringOptional

A cursor for use in pagination. The endingBefore parameter is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with xzy, your subsequent calls can include endingBefore=xzy in order to fetch the previous page of the list.

startingAfterstringOptional

A cursor for use in pagination. The startingAfter parameter is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with xzy, your subsequent calls can include startingAfter=xzy in order to fetch the next page of the list.

limitintegerOptional

A limit on the number of objects returned. Limit can range between 1 and 100, and the default is 10.

Responses
chevron-right
200

200 OK

application/json
hasMorebooleanOptional

Indicates whether or not there are more elements available after this set. If false this set represents the end of the list.

Example: true
get
/subscriptions

Gets a Subscription by ID

get

Retrieves the details of a Subscription.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Subscription identifier.

Responses
chevron-right
200

OK.

application/json
contractBindingUntilstring · date-timeOptional

Represents the date and time when the subscription's contract expires.

createdTimestring · date-timeOptional

The time when the Subscription was created

Example: 2021-06-01T13:15:10.1077785Z
updatedTimestring · date-timeOptional

The time when the Subscription was last updated.

Example: 2021-06-01T13:17:10.1077788Z
liveModebooleanOptional

Has the value true if the object exists in live mode or the value false if the object exists in test mode.

Example: false
idstringOptional

The unique identifier of the Subscription.

Example: fb941eef-c3bb-42f8-bd47-f6da8bf6245d
billingAgreementIdstringOptional

The billing agreement identifier that is obtained from the subscription's acquisition order.

Example: 24b217a7-79b5-4c84-8cae-34370646092f
customerIdstring · nullableOptional

The Customer identifier that is obtained from the subscription's acquisition order.

Example: exampleCustomerId
sourceIdstringOptional

The unique identifier of the subscription's reusable payment source.

Example: exampleSourceId
taxInclusivebooleanOptional

If true indicates that the prices supplied are tax inclusive.

Example: true
currencystringRequired

Three-letter ISO currency code (e.g. "USD" or "EUR").

Example: EUR
planIdstringRequired

The Plan identifier.

Example: 4a1a1fdd-2f7b-4a4e-92d2-2e843f06e82a
applicationIdstring · nullableOptional

The identifier of the client application that created the subscription.

Example: test
localestring · nullableOptional

A locale designator that combines a two-letter ISO 639-1 language code with a ISO 3166-1 alpha-2 country code.

Example: de_DE
statestring · enumOptional

The state of the subscription

Example: activePossible values:
currentPeriodStartDatestring · date-timeOptional

Represents the date and time when the subscription's current billing period began.

currentPeriodEndDatestring · date-timeOptional

Represents the date and time when the subscription's current billing period ends.

nextInvoiceDatestring · date-timeOptional

Represents the date and time when Digital River next opens an invoice and starts the billing process.

Example: 2021-07-02T13:15:10.0875833Z
nextReminderDatestring · date-timeOptional

Date when the next reminder event will be sent.

get
/subscriptions/{id}

Updates the Subscription

post

Updates the specified Subscription

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The Subscription identifier.

Body
planIdstringRequired

The Plan identifier.

Example: string
applicationIdstring · nullableOptional

The identifier of the client application that created the subscription.

Example: test
localestring · nullableOptional

A locale designator that combines the two-letter ISO 639-1 language code with a ISO 3166-1 alpha-2 country code.

Example: de_DE
statestring · enumOptional

The state of the subscription

Example: activePossible values:
sourceIdstringOptional

The unique identifier of the subscription's reusable payment source.

Example: exampleSourceId
Responses
chevron-right
200

200 OK

application/json
contractBindingUntilstring · date-timeOptional

Represents the date and time when the subscription's contract expires.

createdTimestring · date-timeOptional

The time when the Subscription was created

Example: 2021-06-01T13:15:10.1077785Z
updatedTimestring · date-timeOptional

The time when the Subscription was last updated.

Example: 2021-06-01T13:17:10.1077788Z
liveModebooleanOptional

Has the value true if the object exists in live mode or the value false if the object exists in test mode.

Example: false
idstringOptional

The unique identifier of the Subscription.

Example: fb941eef-c3bb-42f8-bd47-f6da8bf6245d
billingAgreementIdstringOptional

The billing agreement identifier that is obtained from the subscription's acquisition order.

Example: 24b217a7-79b5-4c84-8cae-34370646092f
customerIdstring · nullableOptional

The Customer identifier that is obtained from the subscription's acquisition order.

Example: exampleCustomerId
sourceIdstringOptional

The unique identifier of the subscription's reusable payment source.

Example: exampleSourceId
taxInclusivebooleanOptional

If true indicates that the prices supplied are tax inclusive.

Example: true
currencystringRequired

Three-letter ISO currency code (e.g. "USD" or "EUR").

Example: EUR
planIdstringRequired

The Plan identifier.

Example: 4a1a1fdd-2f7b-4a4e-92d2-2e843f06e82a
applicationIdstring · nullableOptional

The identifier of the client application that created the subscription.

Example: test
localestring · nullableOptional

A locale designator that combines a two-letter ISO 639-1 language code with a ISO 3166-1 alpha-2 country code.

Example: de_DE
statestring · enumOptional

The state of the subscription

Example: activePossible values:
currentPeriodStartDatestring · date-timeOptional

Represents the date and time when the subscription's current billing period began.

currentPeriodEndDatestring · date-timeOptional

Represents the date and time when the subscription's current billing period ends.

nextInvoiceDatestring · date-timeOptional

Represents the date and time when Digital River next opens an invoice and starts the billing process.

Example: 2021-07-02T13:15:10.0875833Z
nextReminderDatestring · date-timeOptional

Date when the next reminder event will be sent.

post
/subscriptions/{id}

Deletes a Subscription by ID

delete

Permanently deletes a subscription. Supply the unique identifier of the Subscription.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Subscription identifier

Responses
delete
/subscriptions/{id}

No content

Last updated